void printi(int val);
void printstr(char *str);

int _strlen(char *s)
{
  int len;
  for (len = 0; s[len]; len++)
    ;
  return len;
}

char *_strcpy(char *dst, char *src)
{
  int i;
  for (i = 0; src[i]; i++)
    dst[i] = src[i];
  dst[i] = '\0';
  return dst;
}

char *_strcat(char *s, char *append)
{
  _strcpy(s + _strlen(s), append);
  return s;
}

int main()
{
  char *str = "abcdefg";
  char *str2 = "hijklmn";
  char s[16];

  _strcpy(s, str);
  _strcat(s, str2);
  printstr(s);

  return 0;
}
